h24975
s 00000/00000/00057
d D 1.2 83/03/31 12:28:33 mmm 2 1
c 
e
s 00057/00000/00000
d D 1.1 83/03/15 21:35:37 tes 1 0
c date and time created 83/03/15 21:35:37 by tes
e
u
4
U
t
T
I 1
subroutine gesc (fctid,il,ia, ol, oa)
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: send an escape sequence to the current device          #
#                                                                      #
#     Input Parameters:                                                #
#            fctid  - function identifier                              #
#            il     - number of parameters needed for function         #
#            ia     - parameters                                       #
#     Output Parameters:                                               #
#            ol     - number of output parameters                      #
#            oa     - output parameters                                #
#     Errors:                                                          #
#            7  GKS not in proper state: GKS must be in one of the     #
#               states WSOP, WSAC or SGOP                              #
#                                                                      #
#     Routines Called:                                                 #
#            gzddop - d/i interface to device driver                   #
#            errchk - perform appropriate error checking               #
#                                                                      #
########################################################################
integer fctid, il, ia(il), ol, oa(1)
 
integer contrl(6), ptsdum(1)

ifdef(`ERROR_ON',`
   integer errchk, errind, ierdum(1)
   ')

include(`gkscom')

ifdef(`ERROR_ON',`
      rounum = GESC
      errind = errchk(ierdum(1), ierdum)
       ')
 
      contrl(OPCODE) = ESCAPE
      # If fctid is set writing mode opcode is separate from ESCAPES
      if (fctid == 20) contrl(OPCODE) = SETxWRITINGxMODE
      contrl(VERTICESxIN) = 0
      contrl(INTEGERxINxLENGTH) = il 
      contrl(6) = fctid

      call gzddop (contrl, ia, ptsdum, oa, ptsdum)

      ol = contrl(5)
 
   return
end
E 1
